# LIBMAWK_APPEND_INPUT

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO

## NAME

libmawk_append_input − append a string to an input buffer

## SYNOPSIS

#include <libmawk.h>

void libmawk_append_input(mawk_state_t *m, const char *input_str);

void libmawk_append_ninput(mawk_state_t *m, const char *input, int len);

## DESCRIPTION

The libmawk_append_input() and libmawk_append_ninput() functions allow the application to fill the input buffer of a libmawk context. No record separator is appended, only the bytes donated by input_str or input, thus it is possible to append partial records. Appending to the input doesn’t have the side effect of any script being run. There may be multiple libmawk_append_input() calls before a call to libmawk_run_main(). The latter all is used to let the script process the input buffer.

The only difference between the two calls are the input format: libmawk_append_input() expects a nul-terminated string, whereas libmawk_append_ninput() takes an arbitrary binary data and its length.

Argument m is a libmawk context previously returned by libmawk_initialize() or libmawk_initialize_stage3().

## SEE ALSO

libmawk_initialize_stage(3libmawk), libmawk_initialize(3libmawk), libmawk_run_main(3libmawk).